Subject: bug#24353: 25.1.1: looking-back wrong info

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Sep 2016 22:03:35 +0300

> Date: Fri, 2 Sep 2016 10:51:01 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> This is not a command, for users.  It is a function used by
> Emacs-Lisp programmers.  Sounds like `C-h f' is becoming less
> useful, and programmers now need to bypass it and go directly
> to the source code, just to find out the correct signature.

The signature is correct, it just advertises LIMIT as a mandatory
argument.  We could actually make it mandatory, but that would be a
backward-incompatible change, so a lesser evil has been chosen.

advertised-calling-convention is used in only 28 places in all of
Emacs, i.e. it's definitely an extraordinary measure.  So saying that
"C-h f" becomes less useful cannot even be called an exaggeration.